Setting version number for custom beat

I found various forum posts about using commands like make set_version or editing a version.yml but neither seem to work.

Every time I build my beat, it just keeps setting itself to version beat name-8.0.0, which makes it difficult to compare output changes over time.

What's the correct way to override that version number?